Package org.apache.ignite.internal.cache.query.index

## Interface IndexFactory

All Known Implementing Classes:
  `ClientIndexFactory`, `DefragIndexFactory`, `InlineIndexFactory`

    public interface IndexFactory

Base interface for Ignite index factories.

### Method Summary

All Methods Instance Methods Abstract Methods
`Index` `createIndex​(@Nullable GridCacheContext<?,​?> cctx, IndexDefinition definition)` Creates index by specified definition for specified cache.

### Method Detail

#### createIndex

    Index createIndex​(@Nullable
                      @Nullable GridCacheContext<?,​?> cctx,
                      IndexDefinition definition)

Creates index by specified definition for specified cache.

Parameters:
  `cctx` - Cache context.
  `definition` - Index definition.